Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Session2Context Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::Session2Context:

[legend]
Collaboration diagram for Components::Session2Context:

[legend]
List of all members.

## Public Methods
Object | create_ref (in CORBA::RepositoryId repid)
Object | create_ref_from_oid (in CORBA::OctetSeq oid, in CORBA::RepositoryId repid)
CORBA::OctetSeq | get_oid_from_ref (in Object objref) raises (IllegalState, BadComponentReference)
Object | create_ref (in CORBA::RepositoryId repid)
Object | create_ref_from_oid (in CORBA::OctetSeq oid, in CORBA::RepositoryId repid)
CORBA::OctetSeq | get_oid_from_ref (in Object objref) raises (IllegalState, BadComponentReference)

## Member Function Documentation

Object Components::Session2Context::create_ref | ( | in CORBA::RepositoryId | repid | ) |

Object Components::Session2Context::create_ref | ( | in CORBA::RepositoryId | repid | ) |

Object Components::Session2Context::create_ref_from_oid | ( | in CORBA::OctetSeq | oid,
|  | in CORBA::RepositoryId | repid
| ) |

Object Components::Session2Context::create_ref_from_oid | ( | in CORBA::OctetSeq | oid,
|  | in CORBA::RepositoryId | repid
| ) |

CORBA::OctetSeq Components::Session2Context::get_oid_from_ref | ( | in Object | objref | ) | raises (IllegalState, BadComponentReference)

CORBA::OctetSeq Components::Session2Context::get_oid_from_ref | ( | in Object | objref | ) | raises (IllegalState, BadComponentReference)

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl